CharType (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.cn.smart.CharType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.cn.smart
Class CharType

    java.lang.Object
      org.apache.lucene.analysis.cn.smart.CharType

    public class CharType

extends Object

Internal SmartChineseAnalyzer character type constants.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`static int` | `DELIMITER` Punctuation Characters
`static int` | `DIGIT` Numeric Digits
`static int` | `FULLWIDTH_DIGIT` Full-Width alphanumeric characters
`static int` | `FULLWIDTH_LETTER` Full-Width letters
`static int` | `HANZI` Han Ideographs
`static int` | `LETTER` Letters
`static int` | `OTHER` Other (not fitting any of the other categories)
`static int` | `SPACE_LIKE` Characters that act as a space

Constructor Summary
`CharType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELIMITER

    public static final int DELIMITER

  Punctuation Characters

  See Also:
    Constant Field Values

### LETTER

    public static final int LETTER

  Letters

  See Also:
    Constant Field Values

### DIGIT

    public static final int DIGIT

  Numeric Digits

  See Also:
    Constant Field Values

### HANZI

    public static final int HANZI

  Han Ideographs

  See Also:
    Constant Field Values

### SPACE_LIKE

    public static final int SPACE_LIKE

  Characters that act as a space

  See Also:
    Constant Field Values

### FULLWIDTH_LETTER

    public static final int FULLWIDTH_LETTER

  Full-Width letters

  See Also:
    Constant Field Values

### FULLWIDTH_DIGIT

    public static final int FULLWIDTH_DIGIT

  Full-Width alphanumeric characters

  See Also:
    Constant Field Values

### OTHER

    public static final int OTHER

  Other (not fitting any of the other categories)

  See Also:
    Constant Field Values

Constructor Detail

### CharType

    public CharType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD